Unable to log in after database import

52 views
Skip to first unread message

Matthew Bruton

unread,
Aug 11, 2020, 11:27:45 AM8/11/20
to ica-ato...@googlegroups.com
Hi there,

So I installed atom 2.6 successfully.

I imported the database. Before I log in, the entries show up fine. But when I go to log in I get the 500 screen. Restarted all the services, and nothing works.
 
The nginx error log states that in php there is a "column not found: 1054 Unknown column 'user.PASSWORD_HASH' in 'field list' "

I am attaching the screenshot.

I can log in fine before I import the new database, but not afterwards. I can't find this error in the forum here at all.

This is the second install in which this has happened.

Help always appreciated.
logging in problems.png

José Raddaoui

unread,
Aug 11, 2020, 2:05:30 PM8/11/20
to AtoM Users

Matthew Bruton

unread,
Aug 12, 2020, 4:38:32 AM8/12/20
to ica-ato...@googlegroups.com
Hi Radda,

This is a fresh installation.

Here is the error I get after trying it anyway:
SQLSTATE[42S01]: Base table or view already exists: 1050 Table 'function_object' already exists

UPDATE:

ok, so despite the error above, it seems to work alright now. Didn't realise that I need to run the upgrade task even when it was a fresh installation.

José Raddaoui

unread,
Aug 12, 2020, 8:56:42 AM8/12/20
to AtoM Users
Hi Matthew,

What do you mean by importing the database? If that database comes from a previous version, you need to upgrade it to make it work with the new code. If that's the case, there are other steps in the upgrade documentation that you'll need to follow:


If you are not using an old database, you don't need to import anything nor run the upgrade task. After the web installer and the worker configuration you should be good to go. Nevertheless, you shouldn't see that error even if you're upgrading a database created in 2.6 (you should see "Successfully upgraded to Release 2.6.0 v184" either way), which makes me think something didn't go well during the install/upgrade process.

Best regads,
Radda.

Matthew Bruton

unread,
Aug 12, 2020, 9:47:22 AM8/12/20
to AtoM Users
It is a database from an older version yes.
I didn't realise I needed to run the upgrade task in this case.

José Raddaoui

unread,
Aug 12, 2020, 9:56:32 AM8/12/20
to AtoM Users
Hi Matthew,

No problem, if you still have the previous version database dump and the "running" site, you can follow the upgrade documentation to re-do the upgrade without having to do a full installation again.

I hope everything goes well this time.

Best regards,
Radda.

Reply all
Reply to author
Forward
0 new messages